Summary:	High dynamic-range (HDR) image file format support libraries
Summary(pl.UTF-8):	Biblioteki obsługujące format plików obrazu o wysokiej dynamice (HDR)
Name:		OpenEXR
Version:	3.1.13
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/AcademySoftwareFoundation/openexr/releases
Source0:	https://github.com/AcademySoftwareFoundation/openexr/archive/v%{version}/openexr-%{version}.tar.gz
# Source0-md5:	1006112ee8e02eb10061248cef85c7fd
URL:		https://openexr.com/
BuildRequires:	Imath-devel >= 3.1
BuildRequires:	cmake >= 3.12
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	pkgconfig
BuildRequires:	python3-breathe
BuildRequires:	python3-sphinx_press_theme
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sphinx-pdg >= 2
BuildRequires:	zlib-devel
Obsoletes:	ilmbase < 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.
OpenEXR is used by ILM on all motion pictures currently in production.
The first movies to employ OpenEXR were Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York, and Signs. Since then,
OpenEXR has become ILM's main image file format.

%description -l pl.UTF-8
OpenEXR to format plików obrazu o wysokiej dynamice (HDR - High
Dynamic-Range) stworzony przez Industrial Light & Magic do używania w
aplikacjach do grafiki komputerowej. OpenEXR jest używany przez ILM do
wszystkich aktualnie produkowanych obrazów ruchomych. Pierwszymi
filmami wykorzystującymi OpenEXR były Harry Potter and the Sorcerers
Stone, Men in Black II, Gangs of New York oraz Signs. Od tamtego czasu
OpenEXR stał się głównym formatem obrazu ILM.

%package devel
Summary:	Header files for OpenEXR libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OpenEXR
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Imath-devel >= 3.1
Requires:	libstdc++-devel >= 6:5
Requires:	zlib-devel
Provides:	ilmbase-devel = %{version}-%{release}
Obsoletes:	ilmbase-devel < 3

%description devel
Header files for OpenEXR libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OpenEXR.

%package progs
Summary:	OpenEXR utilities
Summary(pl.UTF-8):	Narzędzia do obrazów OpenEXR
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
OpenEXR utilities.

%description progs -l pl.UTF-8
Narzędzia do obrazów OpenEXR.

%package doc
Summary:	OpenEXR documentation
Summary(pl.UTF-8):	Dokumentacja do OpenEXR
Group:		Documentation
BuildArch:	noarch

%description doc
OpenEXR documentation describing file format, library etc.

%description doc -l pl.UTF-8
Dokumentacja do OpenEXR, opisująca format pliku, bibliotekę itd.

%prep
%setup -q -n openexr-%{version}

%build
mkdir -p build
cd build
%cmake .. \
	-DBUILD_DOCS=ON \
	-DINSTALL_DOCS=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES.md CODEOWNERS LICENSE.md PATENTS README.md SECURITY.md
%attr(755,root,root) %{_libdir}/libIex-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIex-3_1.so.30
%attr(755,root,root) %{_libdir}/libIlmThread-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libIlmThread-3_1.so.30
%attr(755,root,root) %{_libdir}/libOpenEXR-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenEXR-3_1.so.30
%attr(755,root,root) %{_libdir}/libOpenEXRCore-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenEXRCore-3_1.so.30
%attr(755,root,root) %{_libdir}/libOpenEXRUtil-3_1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libOpenEXRUtil-3_1.so.30

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libIex*.so
%attr(755,root,root) %{_libdir}/libIlmThread*.so
%attr(755,root,root) %{_libdir}/libOpenEXR*.so
%{_includedir}/OpenEXR
%{_pkgconfigdir}/OpenEXR.pc
%{_libdir}/cmake/OpenEXR

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/exrenvmap
%attr(755,root,root) %{_bindir}/exrheader
%attr(755,root,root) %{_bindir}/exrmakepreview
%attr(755,root,root) %{_bindir}/exrmaketiled
%attr(755,root,root) %{_bindir}/exrmultipart
%attr(755,root,root) %{_bindir}/exrmultiview
%attr(755,root,root) %{_bindir}/exrstdattr
%attr(755,root,root) %{_bindir}/exr2aces
%attr(755,root,root) %{_bindir}/exrinfo

%files doc
%defattr(644,root,root,755)
%doc build/docs/sphinx/{_images,_static,*.html,*.js}
%changelog
* Fri Apr 26 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/OpenEXR.git;a=log;h=master

* Thu Apr 25 2024 Jakub Bogusz <qboosh@pld-linux.org> 4a8288c
- updated to 3.1.13

* Fri Mar 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 716ef10
- updated to 3.1.12 (fixes CVE-2023-5841)

* Sun Aug 20 2023 Jakub Bogusz <qboosh@pld-linux.org> c95dfa0
- updated to 3.1.11

* Wed Mar 15 2023 Jakub Bogusz <qboosh@pld-linux.org> af95951
- updated to 3.1.6

* Sun Feb 06 2022 Jan Rękorajski <baggins@pld-linux.org> 819cfd4
- up to 3.1.4, ilmbase is now integral part of this package

* Sun Feb 06 2022 Jan Rękorajski <baggins@pld-linux.org> d1578f6
- libImath moved to Imath package, rel 2

* Fri Feb 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 72bd1e3
- libstdc++ version for C++ 14 (default)

* Fri Feb 04 2022 Jakub Bogusz <qboosh@pld-linux.org> feda42a
- updated URL, added base docs
- removed obsolete patch

* Thu Feb 03 2022 Bartlomiej Zimon <uzi18@o2.pl> 720ec9a
- rel 1

* Thu Feb 03 2022 Bartlomiej Zimon <uzi18@o2.pl> 9bb5c9a
- rel 0.1

* Mon Jan 31 2022 Bartlomiej Zimon <uzi18@o2.pl> 3e24fad
- update to 2.3.0 (new soname)

* Tue Apr 09 2019 Jakub Bogusz <qboosh@pld-linux.org> 1265106
- updated to 2.2.1 (note: new sonames)

* Sun Sep 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 95897d6
- release 4 (by relup.sh)

* Thu Mar 05 2015 Jan Rękorajski <baggins@pld-linux.org> 06534ca
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> ee3806b
- release 2 (by relup.sh)

* Fri Aug 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 77cb6c7
- updated to 2.2.0 (note: new soname)
- added build patch (fixes build with an older version of OpenEXR-devel installed)

* Sat Apr 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c2759d
- updated to 2.1.0 (note: new soname)

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 83918f6
- updated to 2.0.1
- removed obsolete am patch

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 8ed3b08
- added doc package (with PDFs), fixed build with current rpm doc scripts

* Thu Mar 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 447913e
- updated to 2.0.0 (note: new soname)
- removed obsolete gcc4 patch
- added am patch (fixes build with automake 1.13)

